Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
event::TimerEventManager_2_0_0::Schedule Struct Reference

Schedule structure. More...

`import"TimerEventManager.idl";`

## Public Attributes
boolean | enabled
| Whether the timer event is enabled.
vector< Range > | minute
| Ranges for minute.
vector< Range > | hour
| Ranges for hour.
vector< Range > | dayOfMonth
| Ranges for day of month.
vector< Range > | month
| Ranges for month.
vector< Range > | dayOfWeek
| Ranges for day of week.

## Detailed Description

Schedule structure.

An empty vector means a match for all values. The values range of every field depends on the meaning of the field. For minutes 0-59 is possible, for hour 0-24 and for day of month 0-31. For month and day of weeks the definitions above should be used.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/TimerEventManager.idl